Ingest Splunk HEC events
Ingests one or more Splunk HEC event envelopes, concatenated or newline-delimited, into an events or logs dataset. The dataset comes from the index query parameter, then the first event's index field, then the token's only ingest dataset.
Parameters
| Property | Type | Location | Description |
|---|---|---|---|
index | string | query | The dataset (Splunk index) to ingest into. Overrides the index field in the event envelope. |
Body
A Splunk HEC event envelope.
application/json| Property | Type | Description |
|---|---|---|
event | unknown | The event payload. When an object, its keys become top-level fields of the Axiom event. When a string, it is stored in the _raw field. |
fields | object | Additional fields merged into the event. |
time | unknown | The event timestamp, as epoch seconds, epoch milliseconds, or an RFC 3339 string. When omitted, Axiom assigns the ingest time. |
index | string | The dataset (Splunk index) to ingest into. The index query parameter takes precedence. |
host | string | |
source | string | |
sourcetype | string |
Request
Try itRun this request against your Axiom organization
Credentials stay in this browser tab and are only sent to Axiom when you run the request.
Response
200The events were accepted.400The request can't be processed. `code` is `5` (no data), `6` (invalid data format, or the dataset is in another edge deployment or isn't an events or logs dataset), or `7` (no dataset could be resolved).401The token is missing (`code` `2`) or invalid (`code` `3`).403The token can't ingest into the dataset, the dataset is shared, or the organization is suspended. `code` is `4`.404Dataset not found. `code` is `7`.| Property | Type | Description |
|---|---|---|
text | stringRequired | A human-readable status message. |
code | integerRequired | The Splunk status code. 0 indicates success, 17 indicates a healthy collector, and 5, 6, and 7 indicate no data, invalid data format, and incorrect index respectively. |